"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUrlForFile = exports.importContextQueryParam = exports.importQueryParam = void 0;
var path_1 = require("path");
/**
 * @internal
 */
exports.importQueryParam = '__mi';
/**
 * @internal
 */
exports.importContextQueryParam = '__mi_ctx';
/**
 * Generates import url for the provided file.
 * @public
 * @param base - the base path
 * @param file - the path to file
 */
var getUrlForFile = function (base, file) {
    var resolved = (0, path_1.relative)(base, file);
    resolved = resolved.replace(/\\/g, '/');
    var context = '';
    while (resolved.startsWith("../")) {
        context += "../";
        resolved = resolved.substr(3);
    }
    return "/".concat(resolved, "?").concat(exports.importQueryParam, "=true").concat(context ? "&".concat(exports.importContextQueryParam, "=").concat(context) : '');
};
exports.getUrlForFile = getUrlForFile;
//# sourceMappingURL=get-url-for-file.js.map